package zero1hd.polyjet.ui.pages;

import com.badlogic.gdx.scenes.scene2d.Actor;
import com.badlogic.gdx.scenes.scene2d.Touchable;
import com.badlogic.gdx.scenes.scene2d.actions.Actions;
import com.badlogic.gdx.scenes.scene2d.ui.Button;
import com.badlogic.gdx.scenes.scene2d.ui.Image;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;

import zero1hd.polyjet.Polyjet;
import zero1hd.polyjet.screens.MainMenu;

public class MusicSelectionPage extends Page {
	Image loading;
	Button back;
	
	public MusicSelectionPage(final Polyjet core) {
		super("Select music", core.defaultSkin);
		
		back = new Button(core.defaultSkin, "arrow-button");
		back.setPosition(15f, (getHeight()-back.getHeight())/2 -15);
		back.addListener(new ChangeListener() {
			
			@Override
			public void changed(ChangeEvent event, Actor actor) {
				core.setScreen(new MainMenu(core));
				
			}
		});
		addActor(back);
		
		loading = new Image(core.defaultSkin, "loading");
		loading.setPosition((getWidth()-loading.getWidth())/2, (getHeight()-loading.getHeight())/2);
		loading.setOrigin(loading.getWidth()/2, loading.getHeight()/2);
		loading.addAction(Actions.forever(Actions.rotateBy(-360f, 2f)));
		addActor(loading);
	}
}
